<?php
require_once("../../includes/bootstrap.php");
$sesion=new sesion(); // inicio la sesion

$sesion->set('permiso',permisos($_POST['privilegio']));	

function compress_page($buffer) { $search = array('/\>[^\S ]+/s','/[^\S ]+\</s','/(\s)+/s'); $replace = array('> ',' <','\\1'); return preg_replace($search, $replace, $buffer); }
ob_start("compress_page");

require_once("../../includes/phpqrcode/qrlib.php");

	$academia = bootstrap::initBd($sesion->get('anio'));
	
	$iduser=$sesion->get('ac_userid');
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	
	$grado=$academia->escapar($_GET['grado']); 
	$id_gr=$academia->escapar($_GET['id_gr']); 
	$grupo=$academia->escapar($_GET['grupo'],'int');
	$director=$academia->escapar($_GET['dir']);
	$jornada=$academia->escapar($_GET['jorn']);
	$cod_estudiantes=$academia->escapar($_GET['est']);
	$cod_estudiantes=str_replace(",",'|',$cod_estudiantes);
	$sede=$academia->escapar(ucwords($_GET['sede'])); 
	$seccion=$academia->escapar($_GET['secc']); 
	$periodon=$academia->escapar($_GET['peri'],'int'); 
	
	
	switch ($periodon) {
		case 1:
			$periodo= "Primero";
		break;
		case 2:
			$periodo= "Segundo";
		break;
		case 3:
			$periodo= "Tercero";
		break;
		case 4:
			$periodo= "Cuarto";
		break;
		case 5:
			$periodo= "Quinto";
		break;
		case 6:
			$periodo= "Sexto";
		break;
		case 7:
			$periodo= "Séptimo";
		break;
		case 8:
			$periodo= "Octavo";
		break;
		case 9:
			$periodo= "Noveno";
		break;
		case 10:
			$periodo= "Décimo";
		break;
		case 11:
			$periodo= "Décimo Primero";
		break;
		case 12:
			$periodo= "Décimo Segundo";
		break;
	} 
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Boletines</title>
<script type="text/javascript" src="../../js/jquery.js"></script>
<link href="../../css/formato_sabanas.css" rel="stylesheet" type="text/css">
<script type="text/javascript">
$(document).ready(function(e) {
	var img=$('img:not(.codbar)');
	img.each(function(index, element) {
		var src=$(this).attr('src');
		$(this).attr('src','../../'+src);	
	});
	window.print();
	window.close();
}); 
</script>

</head>
<body>
	<?php 
		$frm_sabana_gral=$sesion->getVar('info_colegio.formato_sabana');

		
		$frm_sabana_gral=(empty($frm_sabana_gral)) ? 'fn1' : $frm_sabana_gral;
		$sabana="imprime_sabana_".$frm_sabana_gral.".php";
			
		include_once $sabana;
	?>
</body>
</html>
